%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This script prepares some variables for the sweep functions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% create the model
opt = iLIGO;

% vFrf is the array of field frequencies (modulo carrier freq.)
% vArf is the array of RF amplitudes (in some units)
[vFrf, vArf] = getFieldSource(opt);

% get the serial numbers of some optics
nPR = getDriveIndex(opt, 'PR');
nBS = getDriveIndex(opt, 'BS');
nIX = getDriveIndex(opt, 'IX');
nIY = getDriveIndex(opt, 'IY');
nEX = getDriveIndex(opt, 'EX');
nEY = getDriveIndex(opt, 'EY');
nSrc = getDriveIndex(opt, 'Source'); % phase modulation input

% probe names and numbers
oprb = opt.probe;
prbNames = {oprb.name};

nREFL = strmatch('REFL', prbNames);
nAS = strmatch('AS', prbNames);
nASp = strmatch('ASp', prbNames);
nPOX = strmatch('POX', prbNames);
nPOY = strmatch('POY', prbNames);
nTRX = strmatch('TRX', prbNames);  
nTRY = strmatch('TRY', prbNames);  
